Sporadic hangs
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.2

Description

Description of the problem

Redmine runs for some time, but periodically hangs and stops to respond. I have one instance of Thin running. It doesn't write any

error messages.

In Redmine's log I find this repeated strings after requests which brings system unresponding.

Completed 200 OK in 47ms (Views: 31.2ms | ActiveRecord: 0.0ms)

Connecting to database specified by database.yml

OpenIdAuthentication.store is nil. Using in-memory store.

Creating scope :active. Overwriting existing method User.active.

Creating scope :open. Overwriting existing method Version.open.

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included

automatically. Please define instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

c:/Ruby187/apps/redmine/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included

automatically. Please define instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

c:/Ruby187/apps/redmine/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

Creating scope :open. Overwriting existing method Issue.open.

 More detailed log in attachment.

Environment

Operating system: Windows 2008 Server R2 Enterprise 64-bit

Database: MySQL Server 5.1.41

Web-server: Thin 1.3.1

Output of "rake about"

About your application's environment

Ruby version                       1.8.7 (i386-mingw32)

RubyGems version                   1.5.2

Rack version                       1.4

Rails version                      3.2.5

Active Record version              3.2.5

Action Pack version                3.2.5

Active Resource version            3.2.5

Action Mailer version              3.2.5

Active Support version             3.2.5

Middleware                         Rack::Cache,

                                   ActionDispatch::Static,

                                   Rack::Lock,

                                   #ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x545bc

e0>,

                                   Rack::Runtime,

                                   Rack::MethodOverride,

                                   ActionDispatch::RequestId,

                                   Rails::Rack::Logger,

                                   ActionDispatch::ShowExceptions,
                                   ActionDispatch::DebugExceptions,

                                   ActionDispatch::RemoteIp,

                                   ActionDispatch::Callbacks,

                                   ActiveRecord::ConnectionAdapters::ConnectionManagement, 

                                   ActiveRecord::QueryCache,

                                   ActionDispatch::Cookies,

                                   ActionDispatch::Session::CookieStore,

                                   ActionDispatch::Flash,

                                   ActionDispatch::ParamsParser,

                                   ActionDispatch::Head,

                                   Rack::ConditionalGet,

                                   Rack::ETag,

                                   ActionDispatch::BestStandardsSupport,

                                   OpenIdAuthentication

Application root                   c:/Ruby187/apps/redmine

Environment                        production

Database adapter                   mysql

Database schema version            20120422150750

History

#1 - 2012-07-12 09:30 - Alexander Demidov

- File production.log added

- File gemlist.txt added

#2 - 2012-07-12 09:57 - Etienne Massip

Looks like your application is booting at each request as if you were using cgi, there should be something wrong with your Thin setup.

#3 - 2012-07-12 12:01 - Alexander Demidov

I eliminated all success requests from "production.log". Only requests remained which had caused hangs. Only after that requests application boots

up.

#4 - 2012-07-30 15:29 - Janko Ahlbrandt

Hello,

I'd like to add, that I have the exact same problem as described by Alexander. No evidence for the source of the error to be found in the logs, because

there are no error logs. The Logfile always lists the last successful request and nothing until I manually restart the thin process. :-(

Does anyone have a clue? I read about some mySQL-issues, but I use the mysql gem not mysql2, which seems error-prone.

Any hints or help would be appreciated.

Thanks.

keyJ

#5 - 2012-08-21 09:24 - Alexander Demidov

I have resolved it by installing Bitnami Redmine Stack 2.03.

#6 - 2012-08-21 10:14 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Closed as an Bitnami Stack / thin+eventmachine issue, thanks.

Files

production.log 93.4 KB 2012-07-12 Alexander Demidov

gemlist.txt 1.08 KB 2012-07-12 Alexander Demidov
